Openpgp.js 加密问题漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1711335 漏洞类型 加密问题
发布时间 2019-08-22 更新时间 2019-09-02
CVE编号 CVE-2019-9155 CNNVD-ID CNNVD-201908-1814
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-1814
|漏洞详情
Openpgp.js是一个使用JavaScript实现的开源OpenPGP加密算法库。 OpenPGP.js及之前版本中存在加密问题漏洞。该漏洞源于网络系统或产品未正确使用相关密码算法,导致内容未正确加密、弱加密、明文存储敏感信息等。
|参考资料

来源:www.bsi.bund.de

链接:https://www.bsi.bund.de/SharedDocs/Downloads/EN/BSI/Publications/Studies/Mailvelope_Extensions/Mailvelope_Extensions_pdf.html#download=1


来源:sec-consult.com

链接:https://sec-consult.com/en/blog/advisories/multiple-vulnerabilities-in-openpgp-js/


来源:github.com

链接:https://github.com/openpgpjs/openpgpjs/releases/tag/v4.3.0


来源:github.com

链接:https://github.com/openpgpjs/openpgpjs/pull/853/commits/7ba4f8c655e7fd7706e8d7334e44b40fdf56c43e


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-9155


来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/154191/OpenPGP.js-4.2.0-Signature-Bypass-Invalid-Curve-Attack.html